Subject: [Asrg] 4a. Taxonomy. Censorship vs. filtering

From: "Alan DeKok" <[email-masked]>
Date: Fri, 12 Dec 2003 17:16:35 -0500 (EST)

For those who are don't read long messages, I'd like to summarize my
thoughts in a short message.

  Censorship =~ rejection of traffic based on content

  filtering =~ rejection of traffic based on invalid control messages

  Unlike Telecom, IP sends control traffic "in-band".  This means that
when that control traffic is filtered, people get confused, and call
it "censorship".

  It's not censorship to put a notch filter at 2600Hz on payphones.

  It's not censorship to block traffic from 127/8 on the backbone.

  Both filters block invalid control signals from propagating
throughout the network.  Most users have no business sending such
signals.

  Put another way, control signals are only permitted through prior
business arrangements, which are negotiated outside of the network.
People who don't have those business arrangements are called
"customers", not "peers".  They have no business (literally) sending
control signals.  Such false signals are called "attacks", or "abuse
of the network".

  Alan DeKok.

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: "Jon Kyme" <[email-masked]>
Date: Sat, 13 Dec 2003 12:11:40 +0000

> when that control traffic is filtered, people get confused, and call

Can someone remind me why "censorship" must be a Bad Thing. As long as it's
explicit and appropriately authorised, I don't see any sensible objection.

Of course the word "censorship" carries a lot of emotional weight for some
people - I'm not sure it can be defined in narrowly technicals terms as
above - even approximately - It's a social thang.

--

---

From: "Denny Figuerres" <[email-masked]>
Date: Sat, 13 Dec 2003 10:16:18 -0500

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Jon Kyme
> Sent: Saturday, December 13, 2003 7:12 AM
> To: ASRG
> Subject: Re: [Asrg] 4a. Taxonomy. Censorship vs. filtering
> 
> Can someone remind me why "censorship" must be a Bad Thing. 
> As long as it's explicit and appropriately authorised, I 
> don't see any sensible objection.
> 
> Of course the word "censorship" carries a lot of emotional 
> weight for some people - I'm not sure it can be defined in 
> narrowly technicals terms as above - even approximately - 
> It's a social thang.
> 
> 

Well I think there are several reasons why Alan's comments are "right".

First thing is:
Filtering the content of a message is *subjective* not *objective* like the
issues with
"This is art!" and "No it's porn!" too much ambiguity and room for "wiggle".
This relates to what has been said about classifying "SPAM" Vs. "HAM" some
folks want to get what you might call "SPAM".

Next thing is an offshoot of the first:
I can write a program to reject a connection based on IP or based on some
other set criteria and it can be verified to work 100% of the time. (well
99.9999% or whatever in the "real world")
But as far as I know of no one can write a program that will be 100% correct
in processing random text, we do not yet have a system that can write, read
or "Understand" human communications
(where's Hal 9000 when you need him?)

And there are the legal issues:
If you permit some content to be "Published" and not other like or simmilar
content then you are engaging in the role
Of "Editor / Publisher" ISP's found that this can get them into legal
hassles .... USNET News / NNTP servers 
ISP's found that to stay clear of some problems they had to take a "Use at
your risk, we do not edit / monitor the content here" policy.

If you can be shown to Edit and control the publishing of content then you
can be sued for what content you chose to publish and for what content you
chose not to publish.
Freedom of the press and all that....

   Censorship =~ rejection of traffic based on content
Is a mine field that can and will get you hurt.
NOTE:  if you censor *your* inbox that's filtering, the issue is when some
third party does it "on your behalf"

 filtering =~ rejection of traffic based on invalid control messages
Safe and legal.... Can be strutured as an "Objective" system.

Does that make this more clear?

Alan: are we close here? I hope we are on the same line of reason on
this....

---

From: "Alan DeKok" <[email-masked]>
Date: Sat, 13 Dec 2003 12:01:49 -0500

> explicit and appropriately authorised, I don't see any sensible objection.

  Which leads back to consent.  Consensual censorship systems are
reasonable.  The problem is that most censorship systems are
non-consensual, and people confuse the issues of consent and
censorship.

  Corporations censor their incoming and outgoing mail, for reasons of
legality, privacy, security, and trade secrets.  This isn't viewed as
bad.

  But ISP's censoring network traffic is seen as inappropriate,
because of the idea that Internet access is "free and unfettered".
The problem I have is that that idea was never a reality, and many
people can't move beyond the idea, to acknowledge that it's only an
idea, and that reality is different.

> above - even approximately - It's a social thang.

  Any party other than the data originator or recipient which blocks
traffic based on *data* content is censoring the traffic.  The
backbone routers don't censor traffic, but they may choose to block
attacks on themselves.

  Alan DeKok.

---

From: "Alan DeKok" <[email-masked]>
Date: Sat, 13 Dec 2003 12:08:50 -0500

> can be sued for what content you chose to publish and for what content you

  Exactly.  This is why I've pushed for our corporate IT people to
block distribution of usenet porn groups into the company for the
*correct* reason: It uses too much bandwidth.  Other newsgroups
distributing executables are blocked for the same reason.

  If we had blocked it because it was "porn", then we could be held
responsible for censoring it, and a huge legal quagmire opens up.

> Alan: are we close here? I hope we are on the same line of reason on

  Pretty much.

  I think I'll add these definitions to the LMAP discussion paper, in
place of the rant about "free speech".  The issues have to be
addressed, but it's better to address them in a positive manner than
in a negative one.

  Alan DeKok.

---

From: "Jon Kyme" <[email-masked]>
Date: Sat, 13 Dec 2003 17:11:07 +0000

> third party does it "on your behalf"

But if "they" are doing it on my behalf and according to my expressed
wishes, I don't have a problem. That's what I mean - it's a social rather
than a technical distinction. Also, it's clear that an objective measure
can be *evaluated* in a subjective context. Consider "filtering" based on
source IP. "Publishing" is a bit of a red herring here. IANAL but I can't
see how enforcing an agreed policy for communications to a named recipient
can have anything to do with "publishing".

> Does that make this more clear?

No. It's not the sort of thing that's easy to make clear. It's one of those
"human communications" things you mentioned.
I think that we're in danger of making ourselves look very foolish by
trying to define something like censorship. Define "filter" by all means.
And remember, that of all the possible communication aimed at you, this
group is chartered for the purpose of researching how you might select just
that communication that you consent to. Equally, organisations must have
the right to apply organisational policy to the communications of their
members.

--

---

From: "Denny Figuerres" <[email-masked]>
Date: Sat, 13 Dec 2003 15:33:37 -0500

> Sent: Saturday, December 13, 2003 12:11 PM
> To: ASRG
> Subject: Re: RE: [Asrg] 4a. Taxonomy. Censorship vs. filtering
> 
> >  
> > 
> > 
> Behalf Of 
> > > Jon Kyme
> > Filtering the content of a message is *subjective* not *objective* 
> > like the issues with "This is art!" and "No it's porn!" too much 
> > ambiguity and room for "wiggle".
> > This relates to what has been said about classifying "SPAM" 
> Vs. "HAM"
> > some
> > I can write a program to reject a connection based on IP or 
> based on 
> > some other set criteria and it can be verified to work 100% of the 
> > time. (well 99.9999% or whatever in the "real world") But 
> as far as I 
> > know of no one can write a program that will be 100% correct in 
> > processing random text, we do not yet have a system that can write, 
> > read or "Understand" human communications (where's Hal 9000 
> when you 
> > need him?)
> > 
> > If you permit some content to be "Published" and not other like or 
> > simmilar content then you are engaging in the role Of "Editor / 
> > Publisher" ISP's found that this can get them into legal 
> hassles .... 
> > USNET News / NNTP servers ISP's found that to stay clear of some 
> > problems they had to take a "Use at your risk, we do not edit / 
> > monitor the content here" policy.
> > 
> > If you can be shown to Edit and control the publishing of 
> content then 
> > you can be sued for what content you chose to publish and for what 
> > content you chose not to publish.
> >    Censorship =~ rejection of traffic based on content Is a 
> mine field 
> > that can and will get you hurt.
> > NOTE: if you censor *your* inbox that's filtering, the 
> issue is when 
> > some third party does it "on your behalf"
> > 
> 
> But if "they" are doing it on my behalf and according to my 
> expressed wishes, I don't have a problem. That's what I mean 
> - it's a social rather than a technical distinction. Also, 
> it's clear that an objective measure can be *evaluated* in a 
> subjective context. Consider "filtering" based on source IP. 
> "Publishing" is a bit of a red herring here. IANAL but I 
> can't see how enforcing an agreed policy for communications 
> to a named recipient can have anything to do with "publishing".
>
Sorry My Bad !

"They" and Consent and censorship:

Just imagine this:

Spam.com is sending to isp.com's users such as [email-masked]

Smith and others *DO WANT* spam blocked.
Isp.com is doing what the users have asked for.

Spam.com sues isp.com for "censorship and the right to free speech"
Now I think we would all tend to see this as a nasty way for spamers to
harras the isp.
But in the legal system if the legal staff working for spam.com build the
right case and take it to court they will get a court order for isp.com
To stop censoring while the court studys the issues.
And spam.com starts filing motions and drags it on for as long as they
can....
And you get spam you do not want ....

It's evil, it's nasty, but it can be done..... The spamer just has to get
creative, like using the can spam bill as a crutch:
I will let the users at isp.com "opt out" but first they need to get my
messaage and visit my "Opt out" web site, I am not doing anything wrong
here.
In fact isp.com is at fault as they are circumventing the means for the
optout system to work. So if isp.com is suffering form to much email it is
their fault...
And if spam.com gets just one person at isp.com to ask for the spam.... The
case just gets uglyer....

See what I mean now??

> No. It's not the sort of thing that's easy to make clear. 
> It's one of those "human communications" things you mentioned.
> I think that we're in danger of making ourselves look very 
> foolish by trying to define something like censorship. Define 
> "filter" by all means.
> And remember, that of all the possible communication aimed at 
> you, this group is chartered for the purpose of researching 
> how you might select just that communication that you consent 
> to. Equally, organisations must have the right to apply 
> organisational policy to the communications of their members.
> 
> 
> 
> 
> 
> 
> 
> --
>

---

From: [email-masked] (John R. Levine)
Date: 14 Dec 2003 01:22:12 -0000

>Spam.com sues isp.com for "censorship and the right to free speech"

In the United States, at least, isp.com cites 47 USC 230 and a variety
of precedents that confirm that the First Amendment applies to the
government and not to private parties, gets the case dismissed with
predjudice, and is awarded court costs because the case was without
merit.

I realize that laws are different in other countries, but in the US
the law gives provides broad immunity from liability due to good faith
efforts to filter offensive material.  The law was originally written
with web porn filters in mind, but it's broadly written and applies to
spam filtering as well.  Section 8(c) of the new CAN SPAM act which
will be signed into law any day now confirms that ISPs may have "a
policy of declining to transmit, route, relay, handle, or store
certain types of electronic mail messages."  Being sued for good faith
spam filtering simply isn't an issue here.

Since this is not a legal discussion and as far as I know none of the
participants (including me) are lawyers or otherwise qualified to
opine on the law, I'd appreciate it if people would refrain from
discussing legal topics except insofar as they bear directly on some
activity of ASRG, identify the country whose laws apply, and cite a
law or precedent other than "well, it might happen" for authority.

Regards,
John Levine, [email-masked], Primary Perpetrator of "The Internet for Dummies",
Information Superhighwayman wanna-be, http://iecc.com/johnl, Sewer Commissioner
"A book is a sneeze." - E.B. White, on the writing of Charlotte's Web